Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.powerassert
[Java] Class AssertionRenderer

    java.lang.Object
      org.codehaus.groovy.runtime.powerassert.AssertionRenderer

    public final class AssertionRenderer
    extends java.lang.Object

Creates a string representation of an assertion and its recorded values.

Authors:
  Peter Niederwieser

Method Summary
`static java.lang.String` | `render(java.lang.String text, ValueRecorder recorder)` Creates a string representation of an assertion and its recorded values.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### render

    public static java.lang.String render(java.lang.String text, ValueRecorder recorder)

  Creates a string representation of an assertion and its recorded values.
  Parameters:
    `text` - the assertion's source text
    `recorder` - a recorder holding the values recorded during evaluation of the assertion
  Returns:
    a string representation of the assertion and its recorded values

Groovy Documentation